compact1, compact2, compact3
javax.crypto

## Class IllegalBlockSizeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.crypto.IllegalBlockSizeException

All Implemented Interfaces:
  Serializable

    public class IllegalBlockSizeException
    extends GeneralSecurityException

This exception is thrown when the length of data provided to a block cipher is incorrect, i.e., does not match the block size of the cipher.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalBlockSizeException()` Constructs an IllegalBlockSizeException with no detail message.
`IllegalBlockSizeException(String msg)` Constructs an IllegalBlockSizeException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalBlockSizeException

    public IllegalBlockSizeException()

Constructs an IllegalBlockSizeException with no detail message. A detail message is a String that describes this particular exception.

#### IllegalBlockSizeException

    public IllegalBlockSizeException(String msg)

Constructs an IllegalBlockSizeException with the specified detail message.

Parameters:
  `msg` - the detail message.